LPL WebMail keeps asking me to install a certificate. Why?

LPL WebMail was upgraded on March 1, 2003, so users need to update their bookmark/favorite and install a new security certificate. To do this:

Computing Categories: